Subject: 1.5.2 and ksh?
To: None <>
From: Stephen M Jones <>
List: port-alpha
Date: 10/08/2001 12:13:31
On a system that had a 1.5.1 install, I installed a 1.5.2 kernel and I've
noticed that ksh has been randomly reporting this error:

ksh: j_waitj: tcsetpgrp(10, 20544) failed: Inappropriate ioctl for device

From reading the pdksh change log this was a bug that was fixed in a 
later release than the one in the 1.5.1 distribution.  I've compiled the
latest version of pdksh 5.2.14 .. but this morning This same error message
popped up.

I've replaced the distributed version of ksh on the installed system.

This is an Alpha running the 1.5.2 kernel.